////////////////////////////////////////////////////////////////////////////////////
// Short menus
// Modification Log
// TC  10/25/95
// grd 6/26/96
// RKM 4/8/98	Removed menu additions except ODBC. They are now in the resource file.
// CPY 9/1/00 t8492 v6.1041 REMOVE_ODBC
////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////
//  Modification to Worksheet window menu 
///////////////////////////////////////////////////////////////

menu -w;
//------------ CPY 9/1/00 t8492 v6.1041 REMOVE_ODBC
//if (system.product&1){
//	menu -w;
//	menu 1.17;
//	menu -i 17 "&ODBC..." {run.section(file,ODBC)};
//}
//------------ end CPY 9/1/00 t8492 v6.1041 REMOVE_ODBC
menu -L;

menu ?Ed;  //Edit Menu
menu.ItemDel(8);
menu.ItemDelBelow(12);	//delete Set As Begin, etc.

menu ?Vi;  //View Menu
repeat 3 {menu.ItemDel(10);}		//delete Show X column,Update Active Plot, Separator
repeat 2 {menu.ItemDel(11);}	        //delete Show Grid, seperator


menu ?Plot;  //Plot Menu
menu.itemdel(4);
menu.itemdel(6);
repeat 12 {menu.itemdel(10);}


menu ?Co;  //Column Menu
menu.ItemDelBelow(15);	//delete Move To First, Move to Last

//Analysis Menu - defaults

menu ?To;  //Tools Menu
repeat 2 {menu.ItemDel(2);}    //delete Separator,Worksheet Script


menu ?Fo;  //Format Menu
repeat 2 {menu.ItemDel(7);} //Delete Snap to grid, Seperator
repeat 2 {menu.ItemDel(8);} //Delete Color Palette, Seperator


//Window Menu - defaults

//Help Menu - defaults

///////////////////////////////////////////////////////////////
//  Modification to Graph window menu 
///////////////////////////////////////////////////////////////
menu -G;


menu ?Ed;  //Edit Menu
menu.ItemDelBelow(8);	//delete Paste Link etc.

menu ?Vi;  //View Menu
repeat 2 {menu.ItemDel(12);}	//delete Window View,Draft View
menu.ItemDelBelow(16);	//delete Show

menu ?Gr;  //Plot Menu
repeat 2 {menu.ItemDel(2);}	//delete Add Error Bars, Add Function Graph
menu.ItemDelBelow(6);	//delete Stack data in layer, Exchange XY axis, seperator

menu ?Da;  //Data Menu
repeat 7 {menu.ItemDel(1);}	//delete everything except the Data List


//Analysis Menu - defaults

//Tools Menu - defaults

menu ?Fo;  //Format Menu
repeat 3 {menu.ItemDel(7);}	//delete Snap axis to grid,Snap object to grid, 
menu.ItemDelBelow(12);	//delete Color palette

//Window Menu - defaults

//Help Menu - defaults

///////////////////////////////////////////////////////////////
//  Modification to Matrix window menu 
///////////////////////////////////////////////////////////////
menu -M;

menu ?Ed;  //Edit Menu
menu.ItemDelBelow(6);

menu ?Vi;  //View Menu
menu.ItemDelBelow(9);

menu 5;  //Matrix Menu
menu.ItemDelBelow(10);

menu 7;  //Format Menu
repeat 4 {menu.ItemDel(3);};


//Window Menu - defaults

//Help Menu - defaults

///////////////////////////////////////////////////////////////
//  Modification to Layout window menu 
///////////////////////////////////////////////////////////////
menu -P;

//File Menu - defaults

menu ?Ed;
menu.ItemDel(7);

menu ?Vi;  //View Menu
repeat 2 {menu.ItemDel(12);}	//delete Window View,Draft View
menu.ItemDelBelow(16);	//delete Show Grid

//Layout Menu - defaults

//Tools Menu - defaults

menu ?Fo;  //Format Menu
repeat 2 {menu.ItemDel(5)};	//Snap to Grid, Seperator
menu.ItemDel(6);		//Color Palette


//Window Menu - defaults

//Help Menu - defaults


////////////////////////////////////////////////////////////////////////////////
// Common Modifications to both Worksheet and Graph windows menu 
////////////////////////////////////////////////////////////////////////////////
menu -wg;

menu -R ?An;   // Delete Analysis drop down menu

///////////////////////////////////////////////////////////////
//  Common Modifications to all window menus   
///////////////////////////////////////////////////////////////
menu -GWMP;

// File Menu
menu ?Fi;			
repeat 2 {menu.ItemDel(4);}	//delete Append Project, Close
repeat 3 {menu.ItemDel(7);}	//delete Save Window As..., Template As...
repeat 2 {menu.ItemDel(9);}	//delete Print Preview, Print Setup


//Window menu
menu ?Wi;
repeat 5 {menu.ItemDel(5);}	//delete Separator, Refresh, Separator, Rename, Duplicate

